<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.widget.pullRefreshLayout.QMUIPullRefreshLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/home_activity_v2_pull_refresh"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.fragment.data.ActivityV2Fragment">

    <androidx.core.widget.NestedScrollView
        android:id="@+id/sv_home_activity_scroll"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginBottom="@dimen/dp_28"
            android:orientation="vertical"
            android:padding="@dimen/dp_8">

            <include
                android:id="@+id/il_home_activity_top_pet"
                layout="@layout/layout_top_pet_data_small" />

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_home_activity_v2_update_time"
                style="@style/my_TextView_style_v2"
                android:layout_width="match_parent"
                android:layout_marginVertical="@dimen/dp_14"
                android:textColor="@color/select_color3"
                android:textSize="@dimen/textSize12"
                app:typeface="@string/roboto_regular_font" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/shape32_white_color_bg"
                android:paddingVertical="@dimen/dp_16">

                <com.abbidot.tracker.widget.TypefaceTextView
                    android:id="@+id/tv_home_activity_v2_activity"
                    style="@style/my_TextView_style_v2"
                    android:layout_marginStart="@dimen/dp_24"
                    android:text="@string/txt_activity"
                    app:typeface="@string/roboto_regular_font" />


                <com.abbidot.tracker.widget.TypefaceRoundButton
                    android:id="@+id/btn_home_more_activity"
                    style="@style/my_QMUIRoundButton_very_small_style"
                    android:layout_alignTop="@id/tv_home_activity_v2_activity"
                    android:layout_alignParentEnd="true"
                    android:layout_marginEnd="@dimen/dp_24"
                    android:text="@string/txt_more"
                    android:textColor="@color/btn_color"
                    app:qmui_borderColor="@color/btn_color"
                    app:qmui_borderWidth="0.55dp"
                    app:typeface="@string/roboto_bold_font" />


                <com.abbidot.tracker.widget.TypefaceTextView
                    android:id="@+id/tv_home_activity_v2_goal"
                    style="@style/my_TextView_style_v2"
                    android:layout_below="@id/tv_home_activity_v2_activity"
                    android:layout_alignEnd="@id/btn_home_more_activity"
                    android:layout_marginTop="@dimen/dp_12"
                    android:layout_marginEnd="@dimen/dp_2"
                    android:text="@string/txt_min_unit_lower"
                    android:textSize="@dimen/textSize14"
                    app:typeface="@string/roboto_regular_font" />

                <com.abbidot.tracker.widget.TypefaceTextView
                    android:id="@+id/tv_home_activity_v2_goal_percent"
                    style="@style/my_TextView_style_v2"
                    android:layout_width="@dimen/dp_50"
                    android:layout_alignTop="@id/tv_home_activity_v2_goal"
                    android:layout_toStartOf="@id/tv_home_activity_v2_goal"
                    android:text="@string/txt_goal_percent"
                    android:textColor="@color/select_color3"
                    android:textSize="@dimen/textSize14"
                    app:typeface="@string/roboto_regular_font" />

                <ProgressBar
                    android:id="@+id/home_active_time_progress"
                    style="@style/Widget.AppCompat.ProgressBar.Horizontal"
                    android:layout_width="wrap_content"
                    android:layout_height="@dimen/dp_8"
                    android:layout_below="@id/tv_home_activity_v2_activity"
                    android:layout_alignStart="@id/tv_home_activity_v2_activity"
                    android:layout_marginTop="@dimen/dp_18"
                    android:layout_marginBottom="@dimen/dp_6"
                    android:layout_toStartOf="@id/tv_home_activity_v2_goal_percent"
                    android:max="100"
                    android:progress="65"
                    android:progressDrawable="@drawable/shape_progress_bar_style" />

                <com.abbidot.tracker.widget.BarChartV2View
                    android:id="@+id/home_active_time_bar_view"
                    android:layout_width="match_parent"
                    android:layout_height="140dp"
                    android:layout_below="@id/home_active_time_progress"
                    android:layout_alignStart="@id/tv_home_activity_v2_activity"
                    android:layout_alignEnd="@id/btn_home_more_activity"
                    android:layout_marginVertical="@dimen/dp_12"
                    app:bar_v2_value_color="@color/gray_green_color" />

                <com.abbidot.tracker.widget.TypefaceTextView
                    style="@style/my_TextView_style_v2"
                    android:layout_alignTop="@id/home_active_time_bar_view"
                    android:layout_alignBottom="@id/home_active_time_bar_view"
                    android:layout_marginStart="@dimen/dp_4"
                    android:rotation="270"
                    android:text="@string/txt_min"
                    android:textColor="@color/select_color3"
                    android:textSize="@dimen/textSize10"
                    app:typeface="@string/roboto_regular_font" />

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@id/home_active_time_bar_view"
                    android:layout_alignStart="@id/tv_home_activity_v2_activity"
                    android:layout_alignEnd="@id/btn_home_more_activity"
                    android:layout_marginTop="@dimen/dp_4"
                    android:orientation="horizontal">

                    <include
                        android:id="@+id/il_sport_distance_layout"
                        layout="@layout/layout_sport_data"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="@dimen/dp_6"
                        android:layout_weight="1" />

                    <include
                        android:id="@+id/il_sport_calories_layout"
                        layout="@layout/layout_sport_data"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_6"
                        android:layout_weight="1" />
                </androidx.appcompat.widget.LinearLayoutCompat>
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_8"
                android:background="@drawable/shape32_black_color_bg"
                android:paddingVertical="@dimen/dp_16">

                <com.abbidot.tracker.widget.TypefaceTextView
                    android:id="@+id/tv_home_activity_v2_sleep"
                    style="@style/my_TextView_style_v2"
                    android:layout_marginStart="@dimen/dp_24"
                    android:text="@string/txt_resting"
                    android:textColor="@color/white"
                    app:typeface="@string/roboto_regular_font" />


                <com.abbidot.tracker.widget.TypefaceRoundButton
                    android:id="@+id/btn_home_more_sleep"
                    style="@style/my_QMUIRoundButton_very_small_style"
                    android:layout_alignTop="@id/tv_home_activity_v2_sleep"
                    android:layout_alignParentEnd="true"
                    android:layout_marginEnd="@dimen/dp_24"
                    android:text="@string/txt_more"
                    android:textColor="@color/select_color2"
                    app:qmui_borderColor="@color/select_color2"
                    app:qmui_borderWidth="0.55dp"
                    app:typeface="@string/roboto_bold_font" />

                <com.abbidot.tracker.widget.RingChartView
                    android:id="@+id/home_active_sleep_view"
                    android:layout_width="wrap_content"
                    android:layout_height="@dimen/dp_160"
                    android:layout_below="@id/tv_home_activity_v2_sleep"
                    android:layout_alignStart="@id/tv_home_activity_v2_sleep"
                    android:layout_alignEnd="@id/btn_home_more_sleep"
                    android:layout_marginVertical="@dimen/dp_12" />

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@id/home_active_sleep_view"
                    android:layout_alignStart="@id/tv_home_activity_v2_sleep"
                    android:layout_alignEnd="@id/btn_home_more_sleep"
                    android:layout_marginTop="@dimen/dp_4"
                    android:orientation="horizontal">

                    <include
                        android:id="@+id/il_sport_sleep_layout"
                        layout="@layout/layout_sport_time"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="@dimen/dp_12"
                        android:layout_weight="1" />

                    <include
                        android:id="@+id/il_sport_active_layout"
                        layout="@layout/layout_sport_time"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1" />
                </androidx.appcompat.widget.LinearLayoutCompat>
            </RelativeLayout>
        </androidx.appcompat.widget.LinearLayoutCompat>

    </androidx.core.widget.NestedScrollView>

</com.qmuiteam.qmui.widget.pullRefreshLayout.QMUIPullRefreshLayout>